#-----------------------------------------------------
# Ohl, Brandt, & Kliegl (2013) - Journal of Vision
# Figure 1
#-----------------------------------------------------

#------------------------------------------------------
# load packages and functions
rm(list=ls())
library(ggplot2)
library(grid)
library(lme4)
library(MASS)
library(lattice)

source("remef.R")

load("Ohl_JoV_2013.Rdata")
#------------------------------------------------------

#----------------------------------------------------------
d_close   <- d[which(d$ecccond==0),]
d_distant <- d[which(d$ecccond==1),]

fig0a1 <- ggplot(d_close,aes(x=sacerror_hor))+geom_histogram()+theme_bw(base_size=16)+ opts(strip.background = theme_rect(colour = "white"))
fig0a1 <- fig0a1 + xlab("Saccadic error [in °]") + annotate("text", x = -1.3, y = 130, label = "close target",size=5) + ylab("Count")
fig0a2 <- ggplot(d_distant,aes(x=sacerror_hor))+geom_histogram()+theme_bw(base_size=16)+ opts(strip.background = theme_rect(colour = "white"))
fig0a2 <- fig0a2 + xlab("Saccadic error [in °]") + annotate("text", x = -1.3, y = 130, label = "distant target",size=5) + ylab("Count")

fig0b1 <- ggplot(d_close,aes(x=latency))+geom_histogram()+theme_bw(base_size=16)+ opts(strip.background = theme_rect(colour = "white"))
fig0b1 <- fig0b1 + xlab("Latency [in ms]") + annotate("text", x = 160, y = 120, label = "close target",size=5) + ylab("Count")
fig0b2 <- ggplot(d_distant,aes(x=latency))+geom_histogram()+theme_bw(base_size=16)+ opts(strip.background = theme_rect(colour = "white"))
fig0b2 <- fig0b2 + xlab("Latency [in ms]") + annotate("text", x = 160, y = 120, label = "distant target",size=5) + ylab("Count")

fig0c1 <- ggplot(d_close,aes(x=amplitude))+geom_histogram()+theme_bw(base_size=16)+ opts(strip.background = theme_rect(colour = "white"))
fig0c1 <- fig0c1 + xlab("Amplitude [in °]") + annotate("text", x = 2.5, y = 140, label = "close target",size=5) + ylab("Count")
fig0c2 <- ggplot(d_distant,aes(x=amplitude))+geom_histogram()+theme_bw(base_size=16)+ opts(strip.background = theme_rect(colour = "white"))
fig0c2 <- fig0c2 + xlab("Amplitude [in °]") + annotate("text", x = 2.5, y = 140, label = "distant target",size=5) + ylab("Count")

#pdf("Figure1.pdf", width = 10, height = 6)
grid.newpage()
pushViewport(viewport(layout = grid.layout(2, 3)))
vplayout <- function(x, y) 
  viewport(layout.pos.row = x, layout.pos.col = y)
	print(fig0a1, vp = vplayout(1, 1))
	print(fig0b1, vp = vplayout(1, 2))
	print(fig0c1, vp = vplayout(1, 3))
	print(fig0a2, vp = vplayout(2, 1))
	print(fig0b2, vp = vplayout(2, 2))
	print(fig0c2, vp = vplayout(2, 3))
#dev.off()
	#----------------------------------------------------------